## WebKitDOMHTMLTableCaptionElement WebKitDOMHTMLTableCaptionElement |

## Functions

gchar * | webkit_dom_html_table_caption_element_get_align ()
void | webkit_dom_html_table_caption_element_set_align ()

## Properties

gchar * | align | Read / Write

## Types and Values

struct | WebKitDOMHTMLTableCaptionElement

## Object Hierarchy

        GObject
        ╰── WebKitDOMObject
            ╰── WebKitDOMNode
                ╰── WebKitDOMElement
                    ╰── WebKitDOMHTMLElement
                        ╰── WebKitDOMHTMLTableCaptionElement

## Implemented Interfaces

WebKitDOMHTMLTableCaptionElement implements WebKitDOMEventTarget.

## Description

## Functions

### webkit_dom_html_table_caption_element_get_align ()

    gchar *
    webkit_dom_html_table_caption_element_get_align
                                   (WebKitDOMHTMLTableCaptionElement *self);

`webkit_dom_html_table_caption_element_get_align` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLTableCaptionElement |

#### Returns

A gchar

### webkit_dom_html_table_caption_element_set_align ()

    void
    webkit_dom_html_table_caption_element_set_align
                                   (WebKitDOMHTMLTableCaptionElement *self,
                                    const gchar *value);

`webkit_dom_html_table_caption_element_set_align` has been deprecated since version 2.22 and should not be used in newly-written code.

Use JavaScriptCore API instead

#### Parameters

self | A WebKitDOMHTMLTableCaptionElement |
value | A gchar |

## Types and Values

### struct WebKitDOMHTMLTableCaptionElement

    struct WebKitDOMHTMLTableCaptionElement;

## Property Details

### The `“align”` property

      “align”                    gchar *

read-write gchar* HTMLTableCaptionElement:align.

Flags: Read / Write

Default value: ""